## com.google.code.AccountsSSO.SingleSignOn.AuthSession

com.google.code.AccountsSSO.SingleSignOn.AuthSession — An authentication session for an Identity.

## Methods

    queryAvailableMechanisms (IN  as    wantedMechanisms,
                              OUT as    mechanisms);
    process                  (IN  a{sv} sessionDataVa,
                              IN  s     mechanism,
                              OUT a{sv} sessionData);
    cancel                   ();
    setId                    (IN  u     id);
    objectUnref              ();

## Signals

    stateChanged (i state,
                  s message);
    unregistered ();

## Description

The signond D-Bus APIs are unstable, subject to change and should not be used by client applications, which should use libsignon-glib or libsignon-qt instead.

Handle the client authentication process.

## Method Details

### The queryAvailableMechanisms() method

    queryAvailableMechanisms (IN  as wantedMechanisms,
                              OUT as mechanisms);

AuthSession `mechanisms`: the available authentication mechanisms `wantedMechanisms`: the desired authentication mechanisms

Query the available authentication mechanisms for this AuthSession. The result will be the intersection of the desired authentication mechanisms and those that are supported by the AuthSession.

`IN as `wantedMechanisms``: |
`OUT as `mechanisms``: |

### The process() method

    process (IN  a{sv} sessionDataVa,
             IN  s     mechanism,
             OUT a{sv} sessionData);

Using the available parameters in the Identity or `sessionDataVa`, start the authentication process by passing the parameters to the authentication plugin.

`IN a{sv} `sessionDataVa``: | additional session data parameters
`IN s `mechanism``: | the authentication mechanism to use
`OUT a{sv} `sessionData``: |

### The cancel() method

    cancel ();

Cancel the current authentication session

### The setId() method

    setId (IN  u id);

Set the ID of the AuthSession.

`IN u `id``: | the ID to set

### The objectUnref() method

    objectUnref ();

Forcibly remove the AuthSession.

The objectUnref() method is deprecated.

## Signal Details

### The "stateChanged" signal

    stateChanged (i state,
                  s message);

Emitted when the current authentication state changed, such as when the Ideneity was signed out.

`i `state``: | the current state of the AuthSession
`s `message``: | a message associated with the state change

### The "unregistered" signal

    unregistered ();

Emitted when the AuthSession is removed or destroyed, such as when using objectUnref.